DB->get_create_dir()
Prev | Chapter 2. The DB Handle | Next

## DB->get_create_dir()

    #include <db.h>

    int
    DB->get_create_dir(DB *db, const char **dirp);

Determine which directory a database file will be created in or was found in.

The `DB->get_create_dir()` method may be called at any time.

The `DB->get_create_dir()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### dirp

The dirp will be set to the directory specified in the call to DB->set_create_dir() method on this handle or to the directory that the database was found in after DB->open() has been called.

### Errors

The `DB->get_create_dir()` method may fail and return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DB

### See Also

Database and Related Methods

Prev | Up | Next
DB->get_cachesize() | Home | DB->get_dbname()